
------------------------------------------------------------------------------------
-- Name : nUI_Plugin_TempMovers                                          
-- Copyright : Tina Kirby AKA Xrystal (C) 2009/2010 All Rights Reserved      
-- Contact : xrystal@swangen.co.uk                                           
-- Download Sites :                                                          
-- Versions : 1.01.00 - New
------------------------------------------------------------------------------------

--[[ Use Addon Wide Data Table ]]--
local addonName,addonData = ...

local PTM_Frame = CreateFrame("Frame","PTM_Frame",UIParent);

local function PTM_WSSInit()
	
	ShardBarFrame:SetParent(nil);
	ShardBarFrame:SetParent(UIParent);
	ShardBarFrame:SetPoint("CENTER");
	if ShardBarFrame then nUI_Movers:lockFrame( ShardBarFrame, true, "nUI_XShardBarFrame" ); end
	
end

local function PTM_STBInit()

	TotemFrame:SetParent(nil);
	TotemFrame:SetParent(MultiCastActionBarFrame);
	TotemFrameTotem1:SetPoint("TOPLEFT",MultiCastActionButton1,"BOTTOMLEFT");
	TotemFrameTotem2:SetPoint("TOPLEFT",MultiCastActionButton2,"BOTTOMLEFT");
	TotemFrameTotem3:SetPoint("TOPLEFT",MultiCastActionButton3,"BOTTOMLEFT");
	TotemFrameTotem4:SetPoint("TOPLEFT",MultiCastActionButton4,"BOTTOMLEFT");
end

local function PTM_PPBInit()
	
	PaladinPowerBar:SetParent(nil);
	PaladinPowerBar:SetParent(UIParent);
	PaladinPowerBar:SetPoint("CENTER");
	if PaladinPowerBar then nUI_Movers:lockFrame( PaladinPowerBar, true, "nUI_XPaladinPowerBar" ); end

end

local function PTM_DEBInit()
	EclipseBarFrame:SetParent(nil);
	EclipseBarFrame:SetParent(UIParent);
	EclipseBarFrame:SetPoint("CENTER");
	if EclipseBarFrame then nUI_Movers:lockFrame( EclipseBarFrame, true, "nUI_XDruidEclipseBar" ); end
end

local function PTM_Events(self,event,...)
	local arg1,arg2,arg3,arg4,arg5,arg6 = ...;
	
	if ( event == "PLAYER_ENTERING_WORLD" ) then
		local _, class = UnitClass("player");
		if class == "PALADIN" then PTM_PPBInit(); end
		if class == "WARLOCK" then PTM_WSSInit(); end
		if class == "SHAMAN" then PTM_STBInit(); end
		if class == "DRUID" then PTM_DEBInit(); end
		self:UnregisterEvent(event);
	end
end

--[[ Register the events we want to watch ]]--
PTM_Frame:SetScript( "OnEvent", PTM_Events );
PTM_Frame:RegisterEvent( "PLAYER_ENTERING_WORLD" );
